Skip to main content
API referenceAccounts

Account Subnet Position History

Last updated

GET
/api/v1/accounts/{ss58}/subnets/{netuid}/history

Fetch one wallet's position on one subnet over time (the 'Alpha Holdings chart'): one point per snapshot_date with the position's economics (stake, emission, rank, trust, incentive, dividends, coldkey, role) and yield, computed live from the account_position_daily D1 rollup tier. ?window=7d|30d|90d|1y|all.

Path Parameters

ss58*string
netuid*integer
Range0 <= value

Query Parameters

window?string

Value in

  • "7d"
  • "30d"
  • "90d"
  • "1y"
  • "all"

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/accounts/string/subnets/0/history"
{  "data": {    "netuid": 7,    "point_count": 1,    "points": [      {        "snapshot_date": "example"      }    ],    "schema_version": 1,    "ss58": "5G9hfkx9wGB1CLMT9WXkpHSAiYzjZb5o1Boyq4KAdDhjwrc5",    "window": "30d"  },  "meta": {    "artifact_path": "example",    "cache": "short",    "contract_version": "2026-06-29.1",    "generated_at": "2026-06-01T00:00:00.000Z",    "pagination": {      "collection": "example",      "cursor": 1,      "limit": 1,      "next_cursor": 1,      "order": "asc",      "returned": 1,      "sort": "example",      "total": 1    },    "published_at": "2026-06-01T00:00:00.000Z",    "source": "live-cron-prober",    "stale_contract": {      "built_under": "example",      "live": "example"    }  },  "ok": true,  "schema_version": 1}
Empty
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}
{  "data": null,  "error": {    "code": "string",    "message": "string"  },  "meta": {    "artifact_path": "string",    "cache": "short",    "contract_version": "string",    "generated_at": "string",    "pagination": {      "collection": "string",      "cursor": 0,      "limit": 0,      "next_cursor": 0,      "order": "asc",      "returned": 0,      "sort": "string",      "total": 0    },    "published_at": "2019-08-24T14:15:22Z",    "source": "string",    "stale_contract": {      "built_under": "string",      "live": "string"    }  },  "ok": false,  "schema_version": 1}